﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;
using Domain.Enums;

namespace DAL.Helpers
{
    public class DbInitializer : DropCreateDatabaseIfModelChanges<AppDbContext>
    {
        protected override void Seed(AppDbContext context)
        {
            //base.Seed(context: context);
            var p1 = new Person()
            {
                FirstName = "Mait",
                LastName = "Poska",
                PersonType = PersonType.Student
            };
            var p2 = new Person()
            {
                FirstName = "Andres",
                LastName = "Käver",
                PersonType = PersonType.Teacher
            };

            //context.People.Add(entity: p1);
            //context.People.Add(entity: p2);

            var subject = new Subject()
            {
                SubjectName = "VR2"
            };
            // context.Subjects.Add(entity: subject);

            var course = new Course()
            {
                Subject = subject

            };
            
            //context.Courses.Add(entity: course);

            context.PersonInCourses.Add(entity: new PersonInCourse()
            {
                Course = course,
                Person = p1
            });
            context.PersonInCourses.Add(entity: new PersonInCourse()
            {
                Course = course,
                Person = p2
            });

            context.SaveChanges();
        }
    }
}
