﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;
using Interfaces;

namespace DAL.Repositories
{
    public class PersonRepository : EFRepository<Person>, IPersonRepository
    {
        public PersonRepository(IAppDataContext dbContext) : base(dbContext: dbContext)
        {
        }

        public List<Person> GetOrderedRecords(int recordLimit, bool orderByFirstName = true)
        {
            var query = RepositoryDbSet.AsQueryable();

            query = orderByFirstName ? query
                .OrderBy(keySelector: a => a.FirstName) : query.OrderBy(keySelector: a => a.LastName);

            switch (recordLimit)
            {
                case 0:
                    break;
                default:
                    query = query.Take(count: recordLimit);
                    break;
            }

            return query.ToList();
        }
    }
}
