﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Domain.Enums;

namespace Domain
{
    public class Person
    {
        public int PersonId { get; set; }

        [Required]
        [MaxLength(length: 120)]
        public string FirstName { get; set; }

        [Required]
        [MaxLength(length: 120)]
        public string LastName { get; set; }

        // this is enum
        public PersonType PersonType { get; set; }

        public virtual List<PersonInCourse> Courses { get; set; } = new List<PersonInCourse>();

        #region NotMapped
        public string FirstLastName => ($"{FirstName} {LastName}").Trim();
        public string LastFirstName => ($"{LastName} {FirstName}").Trim();
        #endregion
    }

}
